---
slug: blast_results_table
title: BLAST results table
description: What does the information in the BLAST results table mean
related_articles:
  - href: blast_parameters.md
tags:
  - blast
status: draft
---
# A description of the BLAST results table
The results page will show summary results for each sequence submitted with a graphical display of hits on the query sequence. A table of results for each combination of sequences and target database can be found by clicking on the drop down icon next to the species and genome assembly name. The results table lists the sequence similarity hits in order of E-value, but can be customised to reorder the table based on the different columns by clicking on the arrow next to each column heading. You can customise all rows, or select specific hits, by clicking on the box in the first column of each row.

## E-value
This is the number of times a match is expected to occur by chance. A lower E-value indicates greater similarity between sequences. 

## Length
Length
Length of alignment between query and target sequence.

## Alignment view
Click on this to view the one-to-one alignment between the region of your query sequence and the subject sequence from the database. This alignment will show the length of coverage of your alignment and the presence of any gaps and mismatched regions.

## % ID
This score indicates the extent to which the query sequence and the hit have the same residue at the same position in an alignment.

## Score
The score gives an indication of how good the alignment is, with a higher score indicating a more exact alignment.

## Genomic location
Shows the genomic location of the hit in the selected species. You can click on the coordinates to view this location in the Ensembl Genome Browser.

## Hit orientation
The orientation of the hit sequence against the query sequence.

## Hit start
The position within the target sequence at which the hit started.

## Hit end
The position within the target sequence at which the hit ends.

## Query start
The first position within the query sequence that matches the beginning of the hit that BLAST returns

## Query end
Query end
The last position within the query sequence that matches the beginning of the hit that BLAST returns
